RhinoWorkerUtils (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.javascript.rhino.worker

## [Java] Class RhinoWorkerUtils

- org.gradle.plugins.javascript.rhino.worker.RhinoWorkerUtils

- This should have originally been an internal API.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `RhinoWorkerUtils.DefaultScopeOperation` |
    `interface` | `RhinoWorkerUtils.ScopeOperation` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static R` | `childScope(org.mozilla.javascript.Scriptable parentScope, ScopeOperation<R> operation)`
    `static org.mozilla.javascript.Scriptable` | `parse(File source, String encoding)`
    `static org.mozilla.javascript.Scriptable` | `parse(File source, String encoding, Action<org.mozilla.javascript.Context> contextConfig)`
    `static T` | `parseRhino(File rhinoScript, ScopeOperation<T> operation)`
    `static String` | `readFile(File file, String encoding)`
    `static Object` | `toJavaValue(Object object)`
    `static Map<String, Object>` | `toMap(org.mozilla.javascript.Scriptable obj)`
    `static void` | `writeFile(String content, File destination, String encoding)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static R childScope(org.mozilla.javascript.Scriptable parentScope, ScopeOperation<R> operation)

    - #### public static org.mozilla.javascript.Scriptable parse(File source, String encoding)

    - #### public static org.mozilla.javascript.Scriptable parse(File source, String encoding, Action<org.mozilla.javascript.Context> contextConfig)

    - #### public static T parseRhino(File rhinoScript, ScopeOperation<T> operation)

    - #### public static String readFile(File file, String encoding)

    - #### public static Object toJavaValue(Object object)

    - #### public static Map<String, Object> toMap(org.mozilla.javascript.Scriptable obj)

    - #### public static void writeFile(String content, File destination, String encoding)